<?php
/*
	Clase WSplFileObject que extiende a la clase SplFileObject porque la función de seek no funciona como debiera
	@version 1.0
*/
class SuperWSplFileObject extends SplFileObject{
	public function seek($lineNumber){
		$this->rewind();
		$lineNumber--; //==> Como nos tenemos que colocar al principio, vamos a quitar 1 a la línea
		while (!$this->eof() && $lineNumber >= 0) {
			$this->fgets();
			$lineNumber--;
		}
	}

	public function fgets($inFormat = 'ISO-8859-1', $outFormat = 'UTF-8'){
		$cadena = parent::fgets();
		$cadena = iconv($inFormat, $outFormat, $cadena);
		//$cadena = mb_convert_encoding($cadena, $inFormat, $outFormat);
		return($cadena);
	}
	
}